Chats

List Chat Lists

Returns the custom user lists that can be used to filter the chats endpoint (for example "VIP Fans", "New Subscribers"). For full list CRUD use the User Lists endpoints. Requires permission api_chats_list_chat_lists.

https://public-api.fansmetric.com
GET/v1/{account_id}/lists
Bearer

Authorization

default
AuthorizationBearer <token>

Send your FansMetric API key as a Bearer token in the Authorization header.

In: header

Path Parameters

  • account_id*integer

    OnlyFans numeric account ID.

Query Parameters

  • limitinteger

    Number of lists. Default 10. Min 1, max 100.

  • offsetinteger

    Pagination offset.

Response Fields

  • data.list[].idinteger

    List ID — pass to /chats?list_id=....

  • data.list[].typestring

    Typically custom.

  • data.list[].namestring

    Display name.

  • data.list[].postsCountinteger

    Number of users in the list.

  • data.hasMoreboolean

    Whether more lists exist.

  • dataobject | array

    Endpoint-specific payload. See the fields below for this route.

  • _meta._credits.usedinteger

    Credits consumed by this request (currently always 1).

  • _meta._rate_limits.limit_minuteinteger

    Maximum requests per minute for the organization.

  • _meta._rate_limits.remaining_minuteinteger

    Remaining requests in the current minute window.

  • _meta._rate_limits.limit_dayinteger

    Maximum requests per day for the organization.

  • _meta._rate_limits.remaining_dayinteger

    Remaining requests in the current day window.

curl --request GET "https://public-api.fansmetric.com/v1/100000001/lists?limit=20&offset=0" \
  --header "Authorization: Bearer YOUR_API_KEY"

Response

200
{
"data":{
"list":[
0:{
"id":47382
"type":"custom"
"name":"VIP Fans"
"postsCount":15
}
1:{
"id":47383
"type":"custom"
"name":"Top Spenders"
"postsCount":8
}
]
"hasMore":false
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":988
"limit_day":50000
"remaining_day":49988
}
}
}